# Speech

## POST /v1/audio/speech

> Generate a speech completion synchronously using the provided input text and model parameters.

```json
{"openapi":"3.0.3","info":{"title":"Distribute.AI API","version":"1.0.0"},"tags":[{"name":"audio.speech"}],"servers":[{"url":"https://api.distribute.ai"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"authorization"}}},"paths":{"/v1/audio/speech":{"post":{"operationId":"audioSpeechCreate","tags":["audio.speech"],"description":"Generate a speech completion synchronously using the provided input text and model parameters.","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"model":{"type":"string","enum":["Chatterbox"]},"stream":{"type":"boolean","default":false},"input":{"type":"string","minLength":2,"maxLength":4096},"voice":{"anyOf":[{"type":"string","enum":["leo","nora"],"default":"leo"},{"type":"string"}],"description":"One of default voices: leo, nora or a file_id with purpose voice."},"temperature":{"type":"number","minimum":0,"maximum":1,"default":0.8},"exaggeration":{"type":"number","minimum":0,"maximum":1,"default":0.5},"cfg_weight":{"type":"number","minimum":0,"maximum":1,"default":0.5},"response_format":{"type":"string","enum":["wav"],"default":"wav"}},"required":["model","input"],"additionalProperties":false,"description":"Standard OpenAI speech generation response containing the generated speech and metadata."}}},"required":true,"description":"Standard OpenAI speech generation response containing the generated speech and metadata."},"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"url":{"type":"string"}},"additionalProperties":false}}}}},"400":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}}},"404":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}}},"500":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}},"required":["message"],"additionalProperties":false}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.distribute.ai/distribute-for-enterprise/enterprise-inference-api/openai-compatible-api/audio/speech.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
